Rename an authentication key of a user
post
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired
Name of the user.
key_idinteger · int64Required
ID of the authentication key.
Body
namestringRequired
Responses
200
Authentication key renamed.
No content
400
The key belongs to a YubiKey.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges or the request must target your own account.
application/json
404
User or key not found.
application/json
500
Unable to rename authentication key.
application/json
post/api/v1/user/{username}/auth_key/{key_id}/rename
POST /api/v1/user/{username}/auth_key/{key_id}/rename HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}No content
Last updated
Was this helpful?